import { $http } from "./config";
export default {
  // 员工登录
  staffLogin(data) {
    return $http("/staff/login", data);
  },

  // 获取用户列表 货主/船东
  getUserList(data) {
    return $http("user/list", data);
  },

  getShipOwnerList(data) {
    return $http("/shipOwner/list", data);
  },

  getShipOwnerDetail(data) {
    return $http("/shipOwner/details", data);
  },

  updateShipOwner(data) {
    return $http("/shipOwner/update", data);
  },

  // 添加用户
  addUser(data) {
    return $http("user/add", data);
  },

  // 添加船东
  addShipOwner(data) {
    return $http("/shipOwner/add", data);
  },

  // 获取用户详情
  getUserDetail(data) {
    return $http("user/details", data);
  },

  // 更新用户详情
  updateUserDetail(data) {
    return $http("/user/update", data);
  },

  // 获取航次列表
  getVoyageList(data) {
    return $http("voyage/list", data);
  },

  // 获取航次详情
  getVoyageDetail(data) {
    return $http("/voyage/detail", data);
  },

  // 更新航次
  updateVoyage(data) {
    return $http("/voyage/update", data);
  },

  // 完成航次
  finishVoyage(data) {
    return $http("/voyage/finish", data);
  },

  // 根据船名/MMSI/船东手机号获取船舶用户信息（员工端添加航次选择船)
  getUserInfoAndShipInfo(data) {
    return $http("ship/userShipInfo", data);
  },

  // 添加航次
  addVoyage(data) {
    return $http("voyage/add", data);
  },

  // 获取媒体列表
  getMediaList(data) {
    return $http("/media/list", data);
  },

  // 审核媒体文件
  auditMedia(data) {
    return $http("/media/audit", data);
  },

  // 标记媒体文件
  markMedia(data) {
    return $http("/media/markMedia", data);
  },

  // 模糊搜索用户
  searchUser(data) {
    return $http("/user/search", data);
  },

  // 获取船舶列表
  getShipList(data) {
    return $http("/ship/list", data);
  },

  // 更新船舶信息
  updateShip(data) {
    return $http("/ship/update", data);
  },

  // 更新船东信息
  updateShipOwner(data) {
    return $http("/shipOwner/update", data);
  },

  // 获取船舶详情
  getShipDetail(data) {
    return $http("/ship/detail", data);
  },

  // 船舶查询
  searchShip(data) {
    return $http("ship/search", data);
  },

  // 根据shipId获取船东列表
  getShipOwnerListByShipId(data) {
    return $http("/ship/detail/shopOwner/list", data);
  },

  // 添加卸货记录
  addDischarge(data) {
    return $http("/voyage/addDischarge", data);
  },

  // 删除卸货记录
  deleteDischarge(data) {
    return $http("/voyage/deleteDischarge", data);
  },

  // 导出excel
  exportExcel(data) {
    return $http("/voyage/exportExcel", data);
  },

  // 获取卸货列表
  getDischargeList(data) {
    return $http("/voyage/getDischargeList", data);
  },

  // 修改卸货记录
  updateDischarge(data) {
    return $http("/voyage/updateDischarge", data);
  },

  // 获取未拍照航次
  getUnphotographNotice() {
    return $http("/voyage/notice");
  },

  // 计算预计到港时间
  calExpectedArrivalTime(data) {
    return $http("/voyage/calExpectedArrivalTime", data);
  },

  // 删除运单
  deleteWaybill(data) {
    return $http("/voyage/deleteWaybill", data);
  },

  // 上传运单
  updateVoyageWaybill(data) {
    return $http("/voyage/updateVoyageWaybill", data);
  },

  // 获取港口列表
  getCol(data) {
    return $http("/port/getCol", data);
  },

  // 取消航次
  cancelVoyage(data) {
    return $http("/voyage/cancel", data);
  },

  // 添加汽车装货记录
  addTruckLoadRecord(data) {
    return $http("/voyage/addCarLoadRecord", data);
  },

  // 获取汽车装货记录
  getTruckLoadRecord(data) {
    return $http("/voyage/getCarLoadRecordList", data);
  },

  // 删除汽车装货记录
  deleteTruckLoadRecord(data) {
    return $http("/voyage/deleteCarLoadRecord", data);
  },

  // 更新汽车装货记录
  updateTruckLoadRecord(data) {
    return $http("/voyage/updateCarLoadRecord", data);
  },

  // 分配单据
  distribute(data) {
    return $http("/shipownerUploadFile/distribute", data);
  },

  // ocr识别
  ocr(data) {
    return $http("/shipownerUploadFile/ocr", data);
  },

  // 用户选择
  getUserSelect(data) {
    return $http("/user/select", data);
  },

  // 添加提货单
  addLab(data) {
    return $http("/voyage/addLab", data);
  },

  // 获取提货单
  getLabList(data) {
    return $http("/voyage/getLabList", data);
  },

  // 更新提货单
  updateLab(data) {
    return $http("/voyage/updateLab", data);
  },

  // 删除提货单
  deleteLab(data) {
    return $http("/voyage/deleteLab", data);
  },

  // 获取港口天气列表
  getPortWeatherList(data) {
    return $http("/voyage/getPortWeatherList", data);
  },

  // 获取超期航次提醒
  getLongDaysInPort(data) {
    return $http("/voyage/cargo/longDaysInPort", data);
  },

  // 获取区块链列表
  getBlockChainList(data) {
    return $http("/block/voyage/list", data);
  },

  // 航次上链
  upBlockChain(data) {
    return $http("/block/voyage/up", data);
  },

  // 插入卸货港
  addNewPort(data) {
    return $http("/voyage/addNewPort", data);
  },

  // 代理列表
  getAgencyList(data) {
    return $http("/proxy/list", data);
  },

  // 代理子账户列表
  getAgencySubAccountList(data) {
    return $http("/proxy/detail/account/list", data);
  },

  // 添加代理子账户
  addAgencySubAccount(data) {
    return $http("/proxy/detail/account/add", data);
  },

  // 获取货主公司列表
  getCargoOwnerCompanyList(data) {
    return $http("/cargoOwner/list", data);
  },

  // 获取货主公司详情
  getCargoOwnerCompanyDetail(data) {
    return $http("/cargoOwner/detail", data);
  },

  // 添加货主公司
  addCargoOwnerCompany(data) {
    return $http("/cargoOwner/add", data);
  },

  // 获取货主公司账号列表
  getCargoOwnerAccountList(data) {
    return $http("/cargoOwner/detail/account/list", data);
  },

  // 添加货主公司账号
  addCargoOwnerAccount(data) {
    return $http("/cargoOwner/detail/account/add", data);
  },

  // 添加代理公司
  addAgencyCompany(data) {
    return $http("/proxy/add", data);
  },

  // 获取代理公司列表
  getAgencyCompanyList(data) {
    return $http("/proxy/list", data);
  },

  // 获取代理公司审核列表
  getAgencyExamineList(data) {
    return $http("/proxy/audit/list", data);
  },

  // 代理公司审核
  examineAgency(data) {
    return $http("/proxy/audit", data);
  },

  // 获取代理公司详情
  getAgencyCompanyDetail(data) {
    return $http("/proxy/detail", data);
  },

  // 货主公司详情-代理公司列表
  getAgencyCompanyByCargoOwnerCompany(data) {
    return $http("/cargoOwner/detail/proxy/list", data);
  },
  // 货主公司添加账号-关联货种
  getCargoList(data) {
    return $http("/cargo/account/add/cargo/select", data);
  },

  // 关联代理公司-select
  getAgencySelect(data) {
    return $http("/cargoOwner/detail/proxy/select", data);
  },

  // 货主公司详情-关联代理;代理公司详情-关联货主公司
  relateCargoAgency(data) {
    return $http("/proxy/cargoOwner/add", data);
  },

  // 取消货主公司详情-关联代理;代理公司详情-关联货主公司
  unrelateCargoAgency(data) {
    return $http("/proxy/cargoOwner/delete", data);
  },

  // 代理公司详情-货主公司列表
  getCargoOwnerCompanyByAgencyCompany(data) {
    return $http("/proxy/detail/cargoOwner/list", data);
  },

  // 关联货主公司-select
  getCargoOwnerCompanySelect(data) {
    return $http("/proxy/detail/cargoOwner/select", data);
  },

  // 添加港口
  addPort(data) {
    return $http("/port/add", data);
  },

  // 港口列表
  getPortsList(data) {
    return $http("/port/list", data);
  },

  // 获取港口列表select
  getPortsSelect(data) {
    return $http("/port/select", data);
  },

  // 启用禁用港口
  updatePortStatus(data) {
    return $http("/port/updateStatus", data);
  },

  // 添加港口航期
  addTransPort(data) {
    return $http("/port/trans/add", data);
  },

  // 港口航期列表
  getTransPortsList(data) {
    return $http("/port/trans/list", data);
  },

  // 获取货主下拉
  getCargoOwnerSelect(data) {
    return $http("/proxy/detail/cargoOwner/select", data);
  },

  // 货主公司更新有效期
  updateCargoOwnerExpiredTime(data) {
    return $http("/cargoOwner/updateExpiredTime", data);
  },

  // 代理公司更新有效期
  updateAgencyExpiredTime(data) {
    return $http("/proxy/updateExpiredTime", data);
  },

  // 删除通用文件
  deleteUFile(data) {
    return $http("/ufile/delete", data);
  },

  // 获取通用文件列表
  getUFileList(data) {
    return $http("/ufile/getFileList", data);
  },

  // 获取通用文件类型选项
  getUFileTypeSelect(data) {
    return $http("/ufile/getTypeSelect", data);
  },

  // 上传通用文件
  uploadUFile(data) {
    return $http("/ufile/upload", data);
  },

  // 获取省
  getProvince(data) {
    return $http("/region/province", data);
  },

  // 获取市
  getCity(data) {
    return $http("/region/city", data);
  },

  // 获取区
  getArea(data) {
    return $http("/region/area", data);
  },

  // 添加船务公司
  addShippingCompany(data) {
    return $http("/shipping/add", data);
  },

  // 船务公司列表
  getShippingCompanyList(data) {
    return $http("/shipping/list", data);
  },

  // 船务公司详情
  getShippingCompanyDetail(data) {
    return $http("/shipping/detail", data);
  },

  // 添加船务公司子账号
  addShippingCompanyAccount(data) {
    return $http("/shipping/detail/account/add", data);
  },

  // 船务公司子账号列表
  getShippingCompanyAccountList(data) {
    return $http("/shipping/detail/account/list", data);
  },

  // 启用/禁用船务公司
  enableDisableShippingCompany(data) {
    return $http("/shipping/enableDisable", data);
  },

  // 船务公司更新有效期
  updateShippingCompanyExpiredTime(data) {
    return $http("/shipping/updateExpiredTime", data);
  },
};
